Microsoft Entourage 2008 - Exchange Server Requirements

Ben Greiner -

Microsoft Entourage 2008 remains an Exchange-compatible client that is NOT 100% compatible. Requirements for connecting Entourage to an Exchange Server can be found here. Still, there are a few reasons to make the upgrade – especially if you are running an Intel Mac:

  • Office 2008 is now a Universal Binary so it won't slow down your Intel Mac.
  • It now supports out of office messages, so you can automatically reply to e-mail when you’re out of the office (although we strongly encourage our clients to set this on the server, not at the desktop).
  • Kerberos integration has been added. This allows Entourage to work with Active Directory’s Single Sign-on. 
  • Meeting management, stale invites, and conflict notification within Entourage calendaring has been improved. 
The good news is a full-featured Exchange client for Mac is currently in beta. The newly promised Entourage Exchange client will use Web Services instead of WebDAV for better compatibility, performance and reliability. Microsoft Exchange Server 2007 SP1 with Update Rollup 4 or later will be required.

 

Contact us if you have any questions.

 

 

 

Have more questions? Submit a request

0 Comments

Please sign in to leave a comment.